﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.IO;
using System.Drawing;

namespace PythonIDE {
    public class SingVar {
        public static string C_REG_ADR = "SOFTWARE\\WILHELM\\Python";

        public static String C_NONAME = "noname";

        // instance muss nach C_REG_ADR kommen
        private static SingVar instance = new SingVar();

        // public ArrayList files = new ArrayList();



        private int iTop = 0;
        private int iLeft = 0;
        private int iWidth = 800;
        private int iHeight = 600;
        private bool bSetting = false;


        private int fontcolorRed = 0; // Color.Black;
        public int FontcolorRed {
            get { return fontcolorRed; }
            set {
                fontcolorRed = value;
                Basis.WriteRegInt(C_REG_ADR, "fontcolorRed", fontcolorRed); 
                Basis.WriteRegBool(C_REG_ADR, "isSetFontColor", true);
            }

        }

        private int fontcolorGreen = 0; // Color.Black;
        public int FontcolorGreen {
            get { return fontcolorGreen; }
            set {
                fontcolorGreen = value;
                Basis.WriteRegInt(C_REG_ADR, "fontcolorGreen", fontcolorGreen);
                Basis.WriteRegBool(C_REG_ADR, "isSetFontColor", true);
            }

        }

        private int fontcolorBlue = 0; // Color.Black;
        public int FontcolorBlue {
            get { return fontcolorBlue; }
            set {
                fontcolorBlue = value;
                Basis.WriteRegInt(C_REG_ADR, "fontcolorBlue", fontcolorBlue);
                Basis.WriteRegBool(C_REG_ADR, "isSetFontColor", true);
            }

        }




        private int bgcolorRed = 255; 
        public int BGcolorRed {
            get { return bgcolorRed; }
            set {
                bgcolorRed = value;
                Basis.WriteRegInt(C_REG_ADR, "bgcolorRed", bgcolorRed);
                Basis.WriteRegBool(C_REG_ADR, "isSetBGColor", true);
            }

        }

        private int bgcolorGreen = 255; 
        public int BGcolorGreen {
            get { return bgcolorGreen; }
            set {
                bgcolorGreen = value;
                Basis.WriteRegInt(C_REG_ADR, "bgcolorGreen", bgcolorGreen);
                Basis.WriteRegBool(C_REG_ADR, "isSetBGColor", true);
            }

        }

        private int bgcolorBlue = 255; 
        public int BGcolorBlue {
            get { return bgcolorBlue; }
            set {
                bgcolorBlue = value;
                Basis.WriteRegInt(C_REG_ADR, "bgcolorBlue", bgcolorBlue);
                Basis.WriteRegBool(C_REG_ADR, "isSetBGColor", true);
            }

        }


        private String lastPath = "";
        public String LastPath {
            get { return lastPath; }
            set {
                lastPath = value;
                Basis.WriteRegString(C_REG_ADR, "lastPath", lastPath);
            }
        }

        private String pythonPath = "";
        public String PythonPath {
            get { return pythonPath; }
            set {
                pythonPath = value;
                Basis.WriteRegString(C_REG_ADR, "pythonPath", pythonPath);
            }
        }


        // ------------------

        public int Top {
            get { return iTop; }
            set {
                iTop = value;
                Basis.WriteRegInt(C_REG_ADR, "iTop", iTop);
            }
        }


        public int Left {
            get { return iLeft; }
            set {
                iLeft = value;
                Basis.WriteRegInt(C_REG_ADR, "iLeft", iLeft);
            }
        }


        public int Width {
            get { return iWidth; }
            set {
                iWidth = value;
                Basis.WriteRegInt(C_REG_ADR, "iWidth", iWidth);
            }
        }


        public int Height {
            get { return iHeight; }
            set {
                iHeight = value;
                Basis.WriteRegInt(C_REG_ADR, "iHeight", iHeight);
            }
        }

        public static SingVar getInstance() {
            return instance;
        }

        private static int fontcolordialogBackgroundRed = 240; // Color.Black;
        public static int FontcolordialogBackgroundRed {
            get { return fontcolordialogBackgroundRed; }
            set {
                fontcolordialogBackgroundRed = value;
                Basis.WriteRegInt(C_REG_ADR, "fontcolordialogBackgroundRed", fontcolordialogBackgroundRed);
                Basis.WriteRegBool(C_REG_ADR, "isfontcolordialogBackgroundRed", true);
            }

        }
        private static int fontcolordialogBackgroundGreen = 240; // Color.Black;
        public static int FontcolordialogBackgroundGreen {
            get { return fontcolordialogBackgroundGreen; }
            set {
                fontcolordialogBackgroundGreen = value;
                Basis.WriteRegInt(C_REG_ADR, "fontcolordialogBackgroundGreen", fontcolordialogBackgroundGreen);
                Basis.WriteRegBool(C_REG_ADR, "isfontcolordialogBackgroundGreen", true);
            }

        }
        private static int fontcolordialogBackgroundBlue = 240; // Color.Black;
        public static int FontcolordialogBackgroundBlue {
            get { return fontcolordialogBackgroundBlue; }
            set {
                fontcolordialogBackgroundBlue = value;
                Basis.WriteRegInt(C_REG_ADR, "fontcolordialogBackgroundBlue", fontcolordialogBackgroundBlue);
                Basis.WriteRegBool(C_REG_ADR, "isfontcolordialogBackgroundBlue", true);
            }

        }




        private static int lineNumberColordialogForegroundRed = 44; // Color.Black;
        public static int LineNumberColordialogForegroundRed {
            get { return lineNumberColordialogForegroundRed; }
            set {
                lineNumberColordialogForegroundRed = value;
                Basis.WriteRegInt(C_REG_ADR, "lineNumberColordialogForegroundRed", lineNumberColordialogForegroundRed);
                Basis.WriteRegBool(C_REG_ADR, "islineNumberColordialogForegroundRed", true);
            }
        }
        private static int lineNumberColordialogForegroundGreen = 160; // Color.Black;
        public static int LineNumberColordialogForegroundGreen {
            get { return lineNumberColordialogForegroundGreen; }
            set {
                lineNumberColordialogForegroundGreen = value;
                Basis.WriteRegInt(C_REG_ADR, "lineNumberColordialogForegroundGreen", lineNumberColordialogForegroundGreen);
                Basis.WriteRegBool(C_REG_ADR, "islineNumberColordialogForegroundGreen", true);
            }

        }
        private static int lineNumberColordialogForegroundBlue = 204; // Color.Black;
        public static int LineNumberColordialogForegroundBlue {
            get { return lineNumberColordialogForegroundBlue; }
            set {
                lineNumberColordialogForegroundBlue = value;
                Basis.WriteRegInt(C_REG_ADR, "lineNumberColordialogForegroundBlue", lineNumberColordialogForegroundBlue);
                Basis.WriteRegBool(C_REG_ADR, "islineNumberColordialogForegroundBlue", true);
            }

        }


        private static int htmlColordialogForegroundRed = 0;
        public static int HtmlColordialogForegroundRed {
            get { return htmlColordialogForegroundRed; }
            set {
                htmlColordialogForegroundRed = value;
                Basis.WriteRegInt(C_REG_ADR, "htmlColordialogForegroundRed", htmlColordialogForegroundRed);
                Basis.WriteRegBool(C_REG_ADR, "ishtmlColordialogForegroundRed", true);
            }
        }
        private static int htmlColordialogForegroundGreen = 0;
        public static int HtmlColordialogForegroundGreen {
            get { return htmlColordialogForegroundGreen; }
            set {
                htmlColordialogForegroundGreen = value;
                Basis.WriteRegInt(C_REG_ADR, "htmlColordialogForegroundRed", htmlColordialogForegroundGreen);
                Basis.WriteRegBool(C_REG_ADR, "ishtmlColordialogForegroundGreen", true);
            }
        }
        private static int htmlColordialogForegroundBlue = 255;
        public static int HtmlColordialogForegroundBlue {
            get { return htmlColordialogForegroundBlue; }
            set {
                htmlColordialogForegroundBlue = value;
                Basis.WriteRegInt(C_REG_ADR, "htmlColordialogForegroundBlue", htmlColordialogForegroundBlue);
                Basis.WriteRegBool(C_REG_ADR, "ishtmlColordialogForegroundBlue", true);
            }
        }



        private static int normalTextColordialogForegroundRed = 0;
        public static int NormalTextColordialogForegroundRed {
            get { return normalTextColordialogForegroundRed; }
            set {
                normalTextColordialogForegroundRed = value;
                Basis.WriteRegInt(C_REG_ADR, "normalTextColordialogForegroundRed", normalTextColordialogForegroundRed);
                Basis.WriteRegBool(C_REG_ADR, "isnormalTextColordialogForegroundRed", true);
            }
        }
        private static int normalTextColordialogForegroundGreen = 128;
        public static int NormalTextColordialogForegroundGreen {
            get { return normalTextColordialogForegroundGreen; }
            set {
                normalTextColordialogForegroundGreen = value;
                Basis.WriteRegInt(C_REG_ADR, "normalTextColordialogForegroundGreen", normalTextColordialogForegroundGreen);
                Basis.WriteRegBool(C_REG_ADR, "isnormalTextColordialogForegroundGreen", true);
            }
        }
        private static int normalTextColordialogForegroundBlue = 64;
        public static int NormalTextColordialogForegroundBlue {
            get { return normalTextColordialogForegroundBlue; }
            set {
                normalTextColordialogForegroundBlue = value;
                Basis.WriteRegInt(C_REG_ADR, "normalTextColordialogForegroundBlue", normalTextColordialogForegroundBlue);
                Basis.WriteRegBool(C_REG_ADR, "isnormalTextColordialogForegroundBlue", true);
            }
        }




        private static int specialCharactersColordialogForegroundRed = 255;
        public static int SpecialCharactersColordialogForegroundRed {
            get { return specialCharactersColordialogForegroundRed; }
            set {
                specialCharactersColordialogForegroundRed = value;
                Basis.WriteRegInt(C_REG_ADR, "specialCharactersColordialogForegroundRed", specialCharactersColordialogForegroundRed);
                Basis.WriteRegBool(C_REG_ADR, "isspecialCharactersColordialogForegroundRed", true);
            }
        }
        private static int specialCharactersColordialogForegroundGreen = 0;
        public static int SpecialCharactersColordialogForegroundGreen {
            get { return specialCharactersColordialogForegroundGreen; }
            set {
                specialCharactersColordialogForegroundGreen = value;
                Basis.WriteRegInt(C_REG_ADR, "specialCharactersColordialogForegroundGreen", specialCharactersColordialogForegroundGreen);
                Basis.WriteRegBool(C_REG_ADR, "isspecialCharactersColordialogForegroundGreen", true);
            }
        }
        private static int specialCharactersColordialogForegroundBlue = 0;
        public static int SpecialCharactersColordialogForegroundBlue {
            get { return specialCharactersColordialogForegroundBlue; }
            set {
                specialCharactersColordialogForegroundBlue = value;
                Basis.WriteRegInt(C_REG_ADR, "specialCharactersColordialogForegroundBlue", specialCharactersColordialogForegroundBlue);
                Basis.WriteRegBool(C_REG_ADR, "isspecialCharactersColordialogForegroundBlue", true);
            }
        }




        private static int commentColordialogForegroundRed = 183;
        public static int CommentColordialogForegroundRed {
            get { return commentColordialogForegroundRed; }
            set {
                commentColordialogForegroundRed = value;
                Basis.WriteRegInt(C_REG_ADR, "commentColordialogForegroundRed", commentColordialogForegroundRed);
                Basis.WriteRegBool(C_REG_ADR, "iscommentColordialogForegroundRed", true);
            }
        }
        private static int commentColordialogForegroundGreen = 60;
        public static int CommentColordialogForegroundGreen {
            get { return commentColordialogForegroundGreen; }
            set {
                commentColordialogForegroundGreen = value;
                Basis.WriteRegInt(C_REG_ADR, "commentColordialogForegroundGreen", commentColordialogForegroundGreen);
                Basis.WriteRegBool(C_REG_ADR, "iscommentColordialogForegroundGreen", true);
            }
        }
        private static int commentColordialogForegroundBlue = 0;
        public static int CommentColordialogForegroundBlue {
            get { return commentColordialogForegroundBlue; }
            set {
                commentColordialogForegroundBlue = value;
                Basis.WriteRegInt(C_REG_ADR, "commentColordialogForegroundBlue", commentColordialogForegroundBlue);
                Basis.WriteRegBool(C_REG_ADR, "iscommentColordialogForegroundBlue", true);
            }
        }

        private static bool colorEditorAktualiserung = true;
        public static bool ColorEditorAktualiserung {
            get { return colorEditorAktualiserung; }
            set {
                colorEditorAktualiserung = value;
                Basis.WriteRegBool(C_REG_ADR, "colorEditorAktualiserung", colorEditorAktualiserung);
                Basis.WriteRegBool(C_REG_ADR, "iscolorEditorAktualiserung", true);
            }
        }


        private SingVar() {
            bSetting = Basis.ReadRegBool(C_REG_ADR, "bSetting");
            iTop = Basis.ReadRegInt(C_REG_ADR, "iTop");
            iLeft = Basis.ReadRegInt(C_REG_ADR, "iLeft");
            iWidth = Basis.ReadRegInt(C_REG_ADR, "iWidth");
            iHeight = Basis.ReadRegInt(C_REG_ADR, "iHeight");
                      

            lastPath = Basis.ReadRegString(C_REG_ADR, "lastPath");
            if (lastPath.Length == 0 || !Directory.Exists(lastPath)) lastPath = System.Environment.CurrentDirectory;

            pythonPath = Basis.ReadRegString(C_REG_ADR, "pythonPath");
            if (pythonPath.Length == 0 || !Directory.Exists(pythonPath)) pythonPath = System.Environment.CurrentDirectory;

            if (Basis.ReadRegBool(C_REG_ADR, "isSetFontColor")) {
                fontcolorRed = Basis.ReadRegInt(C_REG_ADR, "fontcolorRed");
                fontcolorGreen = Basis.ReadRegInt(C_REG_ADR, "fontcolorGreen");
                fontcolorBlue = Basis.ReadRegInt(C_REG_ADR, "fontcolorBlue");
            }

            if (Basis.ReadRegBool(C_REG_ADR, "isSetBGColor")) {
                bgcolorRed = Basis.ReadRegInt(C_REG_ADR, "bgcolorRed");
                bgcolorGreen = Basis.ReadRegInt(C_REG_ADR, "bgcolorGreen");
                bgcolorBlue = Basis.ReadRegInt(C_REG_ADR, "bgcolorBlue");
            }


            if (Basis.ReadRegBool(C_REG_ADR, "isfontcolordialogBackgroundRed")) {
                FontcolordialogBackgroundRed = Basis.ReadRegInt(C_REG_ADR, "fontcolordialogBackgroundRed");
                FontcolordialogBackgroundGreen = Basis.ReadRegInt(C_REG_ADR, "fontcolordialogBackgroundGreen");
                FontcolordialogBackgroundBlue = Basis.ReadRegInt(C_REG_ADR, "fontcolordialogBackgroundBlue");
            }

            if (Basis.ReadRegBool(C_REG_ADR, "islineNumberColordialogForegroundRed")) {
                LineNumberColordialogForegroundRed = Basis.ReadRegInt(C_REG_ADR, "lineNumberColordialogForegroundRed");
                LineNumberColordialogForegroundGreen = Basis.ReadRegInt(C_REG_ADR, "lineNumberColordialogForegroundGreen");
                LineNumberColordialogForegroundBlue = Basis.ReadRegInt(C_REG_ADR, "lineNumberColordialogForegroundBlue");
            }


            if (Basis.ReadRegBool(C_REG_ADR, "ishtmlColordialogForegroundRed")) {
                htmlColordialogForegroundRed = Basis.ReadRegInt(C_REG_ADR, "htmlColordialogForegroundRed");
                htmlColordialogForegroundGreen = Basis.ReadRegInt(C_REG_ADR, "htmlColordialogForegroundGreen");
                htmlColordialogForegroundBlue = Basis.ReadRegInt(C_REG_ADR, "htmlColordialogForegroundBlue");
            }



            if (Basis.ReadRegBool(C_REG_ADR, "isnormalTextColordialogForegroundRed")) {
                normalTextColordialogForegroundRed = Basis.ReadRegInt(C_REG_ADR, "normalTextColordialogForegroundRed");
                normalTextColordialogForegroundGreen = Basis.ReadRegInt(C_REG_ADR, "normalTextColordialogForegroundGreen");
                normalTextColordialogForegroundBlue = Basis.ReadRegInt(C_REG_ADR, "normalTextColordialogForegroundBlue");
            }


            if (Basis.ReadRegBool(C_REG_ADR, "isspecialCharactersColordialogForegroundRed")) {
                specialCharactersColordialogForegroundRed = Basis.ReadRegInt(C_REG_ADR, "specialCharactersColordialogForegroundRed");
                specialCharactersColordialogForegroundGreen = Basis.ReadRegInt(C_REG_ADR, "specialCharactersColordialogForegroundGreen");
                specialCharactersColordialogForegroundBlue = Basis.ReadRegInt(C_REG_ADR, "specialCharactersColordialogForegroundBlue");
            }

            if (Basis.ReadRegBool(C_REG_ADR, "iscommentColordialogForegroundRed")) {
                commentColordialogForegroundRed = Basis.ReadRegInt(C_REG_ADR, "commentColordialogForegroundRed");
                commentColordialogForegroundGreen = Basis.ReadRegInt(C_REG_ADR, "commentColordialogForegroundGreen");
                commentColordialogForegroundBlue = Basis.ReadRegInt(C_REG_ADR, "commentColordialogForegroundBlue");
            }


            if (Basis.ReadRegBool(C_REG_ADR, "iscolorEditorAktualiserung")) {
                colorEditorAktualiserung = Basis.ReadRegBool(C_REG_ADR, "colorEditorAktualiserung");
            }

        }

    }
}
