#! /usr/bin/env python3
# coding=utf8

# mit interface

class IDrucken(object):
    def __init__(self):
        pass

    def drucken(self):
        raise Exception("NotImplementedException")



class Flugzeug(IDrucken):
	def __init__(self, name, laenge):
		self.name = name
		self.laenge = laenge
		print("Konstruktor von Flugzeug")

	def drucken(self):
		print("Flugzeug ",self.name,"Länge: ", self.laenge)


class Frachtflugzeug(Flugzeug):
	def __init__(self, name, laenge, fracht):
		Flugzeug.__init__(self,name, laenge)
		self.fracht = fracht
		print("Konstruktor von Frachtflugzeug")

	def drucken(self):
		print("Frachtflugzeug",self.name,"Länge: ", self.laenge,"Fracht: ",self.fracht)



class Vogel(IDrucken):
	def __init__(self, name, gewicht):
		self.name = name
		self.gewicht= gewicht
		print("Konstruktor von Vogel")

	def drucken(self):
		print("Vogel",self.name,"Gewicht: ", self.gewicht)


class Singvogel(Vogel):
	def __init__(self, name, gewicht, melodie):
		Vogel.__init__(self, name, gewicht)
		self.melodie = melodie
		print("Konstruktor von Singvogel")

	def drucken(self):
		print("Singvogel",self.name,"Gewicht: ", self.gewicht,"Melodie:",self.melodie)


# ----------------------------------

class Ballon(IDrucken):
	def __init__(self, name, farbe):
		self.name = name
		self.farbe= farbe
		print("Konstruktor von Ballon")

	def drucken(self):
		print("Ballon",self.name,"Farbe: ", self.farbe)



f1 = Flugzeug('Airbus 300 M',100.2)
f2 = Frachtflugzeug('Airbus 300 X',100.2,34505)

v1 = Vogel('Eule',134)
v2 = Singvogel('Drossel',89, 'gut')

b1 = Ballon('ballon1','rot')
b2 = Ballon('ballon2','blau')



liste = []
liste.append(f1)
liste.append(f2)
liste.append(v1)
liste.append(v2)
liste.append(b1)
liste.append(b2)

for item in liste:
	item.drucken()